<script lang="ts">
import Vue from 'vue';
import { StsMarketoForm } from '../components/dedicated/index.vue';
import { QuotesCarousel } from '../components/home/index.vue';
import { getPageMetadata } from '~/common/meta';
import { NextStep, ReportCta } from '~/components/common/index.vue';

export default Vue.extend({
  components: {
    NextStep,
    StsMarketoForm,
    QuotesCarousel,
    ReportCta,
  },
  nuxtI18n: false,
  async asyncData({ $content, error }: any) {
    try {
      const doc = await $content('value-streams-assessment').fetch();
      return { doc };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head() {
    return getPageMetadata((this as any).doc, this.$route.path);
  },
});
</script>

<template>
  <div class="dedicated-wrapper">
    <component
      :is="component.name"
      v-for="component in doc.components"
      :key="component.name"
      :data="component.data"
    />
    <NextStep />
  </div>
</template>
<style scoped lang="scss">
.dedicated-wrapper {
  overflow: hidden;

  :deep {
    .security-resources-feature .slp-row.slp-align-items-center {
      align-items: flex-end;
    }
  }
}
</style>
